#!/usr/bin/env python
from numpy import *
from math import *
from scipy import interpolate
import scipy
import os
import glob
import getopt
import sys
import csv
from pylab import *


def usage(error=1):
    usage = """\

Usage: %s [INPUT_FILE_NAME]

takes trans_file as input

Options:
   -h, --help    Print this message

[written by Paolo Segre, 2015]


""" % os.path.basename(sys.argv[0])

    if error:
        sys.stderr.write(usage)
        sys.exit(1)
    else:
        sys.stdout.write(usage)
        sys.exit()



def main(file):
    seterr(all='ignore')
    (path, filename) = os.path.split(file)



# input files

    file1= glob.glob(os.path.join(path+'/t*.csv'))[0]
    file2= glob.glob(os.path.join(path+'/com/*.csv'))[0]
    file3= glob.glob(os.path.join(path+'/Angles*.csv'))[0]


    inFile1 = open(file1,"r")
    lines1 = inFile1.readlines()    

    inFile2 = open(file2,"r")
    lines2 = inFile2.readlines() 


    inFile3 = open(file3,"r")
    lines3 = inFile3.readlines()    


    Data1= zeros(((len(lines1)-1),12), float)
    Data2= zeros(((len(lines1)-1),3), float)
    Data3= zeros(((len(lines1)-1),2), float)


    for N in range(1,len(lines1)):
        temp = str(lines1[N]).split(',')            
        temp2 = str(lines2[N]).split(',') 
        temp3 = str(lines3[N]).split(',') 

        Data1[N-1,:]=(float(temp[0]),float(temp[1]),float(temp[2]),float(temp[6]),float(temp[7]),float(temp[8]),float(temp[9]),float(temp[10]),float(temp[11]),float(temp[15]),float(temp[16]),float(temp[17]))
    
        Data2[N-1,:]=(float(temp2[0]),float(temp2[1]),float(temp2[2]))

        Data3[N-1,:]=(float(temp3[14]),float(temp3[15]))

    Data=hstack((Data1,Data2,Data3))
    Data[isnan(Data)]=0

# Make directory for figures
    os.system("mkdir %s"%(path+"/aero"))


# Write Coordinates
    Writer = csv.writer(open(path+"/aero/aero_"+filename[:-4]+".csv", 'w'), delimiter=',', quotechar=',', quoting=csv.QUOTE_MINIMAL)
    Writer.writerow(['R_shoulder_X','R_shoulder_Y','R_shoulder_Z','R_wing_X','R_wing_Y','R_wing_Z','L_shoulder_X','L_shoulder_Y','L_shoulder_Z','L_wing_X','L_wing_Y','L_wing_Z','Com_X','Com_Y','Com_Z','R_Attack','L_Attack'])
    for N in range(0,len(lines1)-1):
        Writer.writerow(Data[N])

######################################################################################################################################################

if __name__ == '__main__':

        try:
            opts, args = getopt.getopt(sys.argv[1:], 'h', ['help'])


        except getopt.error:
            sys.stderr.write("%s: %s \nTry `%s --help` for more informatIon\n"
            % (PROGNAME, e, PROGNAME))
            sys.exit(1)


        for o in opts:
            if o in ('-h', '--help'):
                usage(error=0)

        if len(args) != 1:
            usage()

        main(args[0])
